[COMMITTED] Some configure-related decrufting.
diff mbox

Message ID 20140508182842.7CF3D2C39B1@topped-with-meat.com
State New
Headers show

Commit Message

Roland McGrath May 8, 2014, 6:28 p.m. UTC
* Makeconfig ($(common-objpfx)config.status): Fix patsubst uses to
	look for %.ac rather than %.in.

	* sysdeps/mach/hurd/configure.ac (inhibit_glue): Remove variable.
	* sysdeps/unix/sysv/linux/configure.ac: Likewise.
	* sysdeps/mach/hurd/configure: Regenerated.
	* sysdeps/unix/sysv/linux/configure: Regenerated.

Patch
diff mbox

--- a/Makeconfig
+++ b/Makeconfig
@@ -86,12 +86,12 @@  $(common-objpfx)config.make: $(common-objpfx)config.status \
 $(common-objpfx)config.status: $(..)version.h $(..)configure \
 			       $(foreach dir,$(sysdirs),\
 					 $(wildcard $(dir)/Implies) \
-					 $(patsubst %.in,%,\
+					 $(patsubst %.ac,%,\
 						    $(firstword $(wildcard \
  $(addprefix $(dir)/,configure configure.ac))))) \
-			       $(patsubst %.in,%,\
+			       $(patsubst %.ac,%,\
  $(wildcard $(..)sysdeps/*/preconfigure $(..)sysdeps/*/preconfigure.ac)) \
-			       $(patsubst %.in,%,\
+			       $(patsubst %.ac,%,\
 					  $(foreach add-on,$(add-ons),\
 						    $(firstword $(wildcard \
  $(addprefix $(firstword $(filter /%,$(add-on)) $(..)$(add-on))/,\
--- a/sysdeps/mach/hurd/configure
+++ b/sysdeps/mach/hurd/configure
@@ -3,10 +3,6 @@ 
 $as_echo "#define NO_HIDDEN 1" >>confdefs.h
 
 
-# Don't bother trying to generate any glue code to be compatible with the
-# existing system library, because we are the only system library.
-inhibit_glue=yes
-
 case "$machine" in
   i386*)
     # The default oldest ABI is 2.2.6.
--- a/sysdeps/mach/hurd/configure.ac
+++ b/sysdeps/mach/hurd/configure.ac
@@ -3,10 +3,6 @@  GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
 dnl We need this setting because of the need for PLT calls in ld.so.
 AC_DEFINE([NO_HIDDEN])
 
-# Don't bother trying to generate any glue code to be compatible with the
-# existing system library, because we are the only system library.
-inhibit_glue=yes
-
 case "$machine" in
   i386*)
     # The default oldest ABI is 2.2.6.
--- a/sysdeps/unix/sysv/linux/configure
+++ b/sysdeps/unix/sysv/linux/configure
@@ -32,10 +32,6 @@  $as_echo "$ac_res" >&6; }
 # This file is generated from configure.ac by Autoconf.  DO NOT EDIT!
  # Local configure fragment for sysdeps/unix/sysv/linux.
 
-# Don't bother trying to generate any glue code to be compatible with the
-# existing system library, because we are the only system library.
-inhibit_glue=yes
-
 if test -n "$sysheaders"; then
   OLD_CPPFLAGS=$CPPFLAGS
   CPPFLAGS="$CPPFLAGS $SYSINCLUDES"
--- a/sysdeps/unix/sysv/linux/configure.ac
+++ b/sysdeps/unix/sysv/linux/configure.ac
@@ -1,10 +1,6 @@ 
 GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
 # Local configure fragment for sysdeps/unix/sysv/linux.
 
-# Don't bother trying to generate any glue code to be compatible with the
-# existing system library, because we are the only system library.
-inhibit_glue=yes
-
 define([LIBC_LINUX_VERSION],[2.6.32])dnl
 if test -n "$sysheaders"; then
   OLD_CPPFLAGS=$CPPFLAGS